Subject: Re: [bug#79162] bible software package

From: Simon Tournier <[email-masked]>
Date: Mon, 25 Aug 2025 11:45:32 +0200

Hi,

On Sat, 23 Aug 2025 at 11:17, Gabriel Santos via Guix-patches via <[email-masked]> wrote:
> Update:

Nice!  Thank you.

> I managed to package SWORD (gave up on SVN and am relying on the tarballs
> instead), but I think I still need to get the test suite running.
> For Xiphos, CMake seems to be having issues with detecting dbus-glib:
>
> /tmp/guix-build-xiphos-4.3.2.drv-0/source/src/gui/ipc.h:26:10: fatal error: dbus/dbus-glib.h: No such file or directory
>    26 | #include <dbus/dbus-glib.h>
>       |          ^~~~~~~~~~~~~~~~~~

About SVN, it’s hard to tell. :-)
About dbus, maybe an input is missing in the list.

Maybe you could open a PR on Codeberg with the title WIP. :-) It would
help in collectively tackling the issues, IMHO.

Cheers,
simon